Handle OAuth provider redirect
Endpoint where an oauth provider would redirect after a successful user authorizing the oauth application.
GET
Handle OAuth provider redirect
Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Type of external auth provider The 'turnkey' value is deprecated and will be removed in a future version.
Available options:
emailOnly, magicLink, apple, bitbucket, coinbasesocial, discord, epicgames, facebook, farcaster, github, gitlab, google, instagram, linkedin, microsoft, twitch, twitter, blocto, banxa, coinbaseOnramp, cryptoDotCom, moonPay, dynamic, alchemy, zerodev, telegram, turnkey, coinbaseWaas, sms, spotify, tiktok, line, steam, shopify, zksync, kraken, blockaid, passkey, okta, sendgrid, resend Query Parameters
Valid oauth code
Pattern:
^[a-zA-Z0-9_\.\-\/\\%*!+=]{5,1500}$Example:
"4/0AVHEtk436ug4uWwZN9i2PDpxGTVnLr63IqTNFzTInHce1q2JHQyOCJut9IK2SCZh4JaoSA"
Maximum string length:
255Pattern:
^[a-zA-Z0-9 _.,:!?&%@\/'-]*$Maximum string length:
255Pattern:
^[a-zA-Z0-9 _.,:!?&%@\/'-]*$Maximum string length:
255Pattern:
^[a-zA-Z0-9 _.,:!?&%@\/'-]*$Valid oauth error
Pattern:
^[a-zA-Z_\-]{5,100}$Example:
"access_denied"
Response
Success
The response is of type string.
Previous
Handle Coinbase OAuth redirectThis endpoint proxies requests to `/sdk/{environmentId}/providers/coinbasesocial/redirect` because Coinbase does not allow the string `coinbase` on the redirect URL path
Next
Handle OAuth provider redirect